Я новичок в AWS, пытаюсь запустить конвейер данных AWS, загружая данные из DynamoDB в S3. Но я получаю ниже ошибки. Пожалуйста помоги

Невозможно создать ресурс для @ EmrClusterForBackup_2020-05-01T14: 18: 47 из-за: Тип экземпляра m3.xlarge не поддерживается. (Сервис: AmazonElasticMapReduce; Код состояния: 400; Код ошибки: ValidationException; Идентификатор запроса: 3bd57023-95e4-4d0a-a810-e7ba9cdc3712)

1
NikRED 1 Май 2020 в 17:37

2 ответа

Лучший ответ

Всегда полезно использовать экземпляры последнего поколения. Они технологически более продвинуты, а иногда даже дешевле.

Таким образом, нет причин для старших поколений. Они предназначены только для людей, у которых уже есть инфраструктура на этих машинах, поэтому для обеспечения обратной совместимости.

1
Deepak Singhal 1 Май 2020 в 14:58

Я думаю, что это должно помочь вам. AWS заставит вас использовать m3, если вы используете DynamoDBDataNode или resizeClusterBeforeRunning

https://aws.amazon.com/premiumsupport/knowledge-center/datapipeline-override-instance-type/?nc1=h_ls

0
Thinking 24 Июн 2020 в 04:11